%global url_ver	%(echo %{version} | cut -d. -f-2)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(AppIndicator3

Name:		gajim
Version:	1.9.3
Release:	%mkrel 2
Summary:	Jabber Client written in PyGTK
Group:		Networking/Instant messaging
License:	GPLv3
URL:		https://www.gajim.org
Source0:	https://gajim.org/downloads/%{url_ver}/gajim-%{version}.tar.gz
Patch1:		gajim-require-GtkSource-4-gir.patch

BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)

Requires:	glib-networking
Requires:	python3-curl
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-OpenSSL
Requires:	python3-nbxmpp
Requires:	python3-pkg-resources
Requires:	python3-pyasn1

Recommends:	python3-gnupg
Recommends:	python3-pillow

# 2024-08-16T21:49:29 (E) gajim.c.dbus.system_style Couldn’t read the
# color-scheme setting: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner:
# Name "org.freedesktop.portal.Desktop" does not exist
Requires:	xdg-desktop-portal

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers
is to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, even though it coexists
nicely. Gajim is released under the GNU General Public License.

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support


%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
pep517build/build_metadata.py -o dist/metadata
%pyproject_wheel

%install
pep517build/install_metadata.py dist/metadata --prefix=%{buildroot}%{_prefix}
%pyproject_install
%pyproject_save_files gajim

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{pyproject_files}
%license COPYING
%doc README.md
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_datadir}/applications/org.gajim.Gajim.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim.svg
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim-symbolic.svg
%{_metainfodir}/org.gajim.Gajim.metainfo.xml
%{_mandir}/man1/gajim.1*
%{_mandir}/man1/gajim-remote.1*


%changelog
* Fri Mar 07 2025 neoclust <neoclust> 1.9.3-2.mga10
+ Revision: 2161276
- Rebuild against new python 3.13

* Fri Aug 16 2024 wally <wally> 1.9.3-1.mga10
+ Revision: 2086771
- new version 1.9.3

* Sun Jan 07 2024 papoteur <papoteur> 1.8.4-1.mga10
+ Revision: 2028766
- fix directives for building and installing
- new version 1.8.4
- use pyproject_buildrequires

* Wed May 24 2023 daviddavid <daviddavid> 1.6.1-2.mga9
+ Revision: 1957911
- add patch to create and own gajim plugins directory
- add patch to make sure GtkSource = 4 is rerquired

* Sat Jan 14 2023 daviddavid <daviddavid> 1.6.1-1.mga9
+ Revision: 1932972
- new version: 1.6.1

* Tue Jan 10 2023 daviddavid <daviddavid> 1.6.0-1.mga9
+ Revision: 1932066
- new version: 1.6.0

* Tue Dec 13 2022 daviddavid <daviddavid> 1.5.4-1.mga9
+ Revision: 1921861
- new version: 1.5.4
- switch to new pyproject method

* Thu Oct 06 2022 neoclust <neoclust> 1.5.1-1.mga9
+ Revision: 1895037
- New version 1.5.1

* Thu May 26 2022 wally <wally> 1.4.2-1.mga9
+ Revision: 1860220
- new version 1.4.2
- clean recommends that are generated to auto requires

* Sat Mar 26 2022 umeabot <umeabot> 1.3.3-3.mga9
+ Revision: 1828577
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.3.3-2.mga9
+ Revision: 1782853
- Rebuild for python-3.10

* Wed Oct 20 2021 sander85 <sander85> 1.3.3-1.mga9
+ Revision: 1752316
- New version: 1.3.3

* Wed Mar 24 2021 neoclust <neoclust> 1.3.1-3.mga9
+ Revision: 1709141
- Rebuild against python 3.9

* Sun Mar 21 2021 sander85 <sander85> 1.3.1-2.mga9
+ Revision: 1707192
- Rebuild for python 3.9

* Thu Mar 11 2021 sander85 <sander85> 1.3.1-1.mga9
+ Revision: 1701324
- New version: 1.3.1

* Thu Jan 28 2021 sander85 <sander85> 1.2.2-2.mga8
+ Revision: 1673833
- Require python3-gobject3

* Mon Sep 21 2020 sander85 <sander85> 1.2.2-1.mga8
+ Revision: 1629105
- New version: 1.2.2

* Tue Aug 11 2020 sander85 <sander85> 1.2.1-2.mga8
+ Revision: 1613345
- Requires glib-networking to work properly

* Thu Aug 06 2020 sander85 <sander85> 1.2.1-1.mga8
+ Revision: 1611486
- New version: 1.2.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.3-4.mga8
+ Revision: 1535653
- Mageia 8 Mass Rebuild
+ wally <wally>
- drop old gnome-python-gtkspell recommend

* Sun Oct 13 2019 sander85 <sander85> 1.1.3-3.mga8
+ Revision: 1452660
- Recommend python3-axolotl for OMEMO encryption support

* Sat Sep 21 2019 daviddavid <daviddavid> 1.1.3-2.mga8
+ Revision: 1444268
- rebuild for python3.8

* Thu Jul 04 2019 sander85 <sander85> 1.1.3-1.mga8
+ Revision: 1418500
- New version: 1.1.3

* Tue Jan 29 2019 sander85 <sander85> 1.1.2-2.mga7
+ Revision: 1361850
- Add requires on python3-pkg-resources (mga#24261)

* Wed Jan 23 2019 sander85 <sander85> 1.1.2-1.mga7
+ Revision: 1360387
- New version: 1.1.2

* Tue Jan 08 2019 sander85 <sander85> 1.1.1-2.mga7
+ Revision: 1352585
- Rebuild for python 3.7

* Wed Jan 02 2019 sander85 <sander85> 1.1.1-1.mga7
+ Revision: 1348741
- New version: 1.1.1

* Thu Sep 20 2018 umeabot <umeabot> 0.16.9-2.mga7
+ Revision: 1278394
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 sander85 <sander85> 0.16.9-1.mga7
+ Revision: 1207610
- New version: 0.16.9

* Thu Jun 01 2017 neoclust <neoclust> 0.16.7-2.mga6
+ Revision: 1105753
- Add P0 - Fixes CVE-2016-10376 (mga#20962)

* Fri Mar 31 2017 neoclust <neoclust> 0.16.7-1.mga6
+ Revision: 1095476
- New bugfix release 0.16.7

* Thu Oct 13 2016 daviddavid <daviddavid> 0.16.6-2.mga6
+ Revision: 1060602
- fix desktop file Categories (mga#2449)

* Wed Oct 12 2016 sander85 <sander85> 0.16.6-1.mga6
+ Revision: 1060560
- New version: 0.16.6

* Tue Jan 12 2016 daviddavid <daviddavid> 0.16.5-2.mga6
+ Revision: 922061
- remove debuginfo disabling and make it noarch instead
- switch to %%old_configure macro (fix noarch build)
- do not mark man files as doc

* Tue Jan 12 2016 luigiwalser <luigiwalser> 0.16.5-1.mga6
+ Revision: 922017
- noarch build does not work, just disable debug package
- 0.16.5 (fixes CVE-2015-8688)
+ tv <tv>
- make it buildarch thus really fixing empty debuginfo
+ neoclust <neoclust>
- New version 0.16.3

* Wed Sep 09 2015 neoclust <neoclust> 0.16-0.beta1.5.mga6
+ Revision: 874929
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.16-0.beta1.4.mga5
+ Revision: 741030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16-0.beta1.3.mga5
+ Revision: 679395
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.16-0.beta1.2.mga4
+ Revision: 534217
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 neoclust <neoclust> 0.16-0.beta1.1.mga4
+ Revision: 476641
- New version 0.16 beta1

* Tue Aug 13 2013 ofaurax <ofaurax> 0.15.4-2.mga4
+ Revision: 466222
- Add patch to be able to launch gajim when farstream is not present

* Thu Aug 08 2013 ofaurax <ofaurax> 0.15.4-1.mga4
+ Revision: 464787
- New versioin 0.15.4

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.15.3-2.mga3
+ Revision: 408330
- require pyasn1 for SSL cert checking

* Tue Apr 02 2013 luigiwalser <luigiwalser> 0.15.3-1.mga3
+ Revision: 407343
- 0.15.3 (fixes CVE-2012-5524)

* Fri Jan 11 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 351015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 0.15.1-1.mga3
+ Revision: 301039
- New version

* Mon Jun 18 2012 kharec <kharec> 0.15-3.mga3
+ Revision: 261747
- Python-OpenSSL is a require.

* Mon Jun 18 2012 kharec <kharec> 0.15-2.mga3
+ Revision: 261743
- Add python-OpenSSL as BR

* Sat Jun 16 2012 kharec <kharec> 0.15-1.mga3
+ Revision: 260957
- new version 0.15
- adapt patch0 for 0.15
- fix docs installations

* Fri Apr 20 2012 luigiwalser <luigiwalser> 0.14.4-2.mga2
+ Revision: 232071
- fix CVE-2012-2085, CVE-2012-2086, CVE-2012-2093 (from debian)

* Mon Oct 24 2011 misc <misc> 0.14.4-1.mga2
+ Revision: 157628
- upgrade to 0.14.4
- place one requires/buildRequires per line, as this ease the
  review of patchs and change for this part of the spec
- remove requires on python, incorrectly set on version, and not needed

* Mon Jun 27 2011 kharec <kharec> 0.14.3-1.mga2
+ Revision: 114351
- new version

* Sun Jun 19 2011 kharec <kharec> 0.14.2-1.mga2
+ Revision: 109754
- new version
- drop p0, applied.

* Tue May 24 2011 ahmad <ahmad> 0.14.1-2.mga1
+ Revision: 100316
- Add a patch from upstream to check for errors before incoming or outgoing events
  should fix agjim looping at launch and consuming 100%% of the CPU (mga#1409)
  http://trac.gajim.org/ticket/5991

* Sun Jan 09 2011 kharec <kharec> 0.14.1-1.mga1
+ Revision: 2020
- imported package gajim


* Sat Nov 27 2010 Michael Scherer <misc@mandriva.org> 0.14.1-1mdv2011.0
+ Revision: 601761
- version 0.14.1

* Wed Sep 08 2010 Michael Scherer <misc@mandriva.org> 0.14-2mdv2011.0
+ Revision: 576790
- add a Suggest on spellchecker, asked by mikala

* Mon Sep 06 2010 Michael Scherer <misc@mandriva.org> 0.14-1mdv2011.0
+ Revision: 576265
- update to 0.14

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.13.4-1mdv2010.1
+ Revision: 533701
- update to 0.13.4

* Sat Feb 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.13.3-1mdv2010.1
+ Revision: 512439
- up to 0.13.3

* Thu Feb 04 2010 Michael Scherer <misc@mandriva.org> 0.13.2-1mdv2010.1
+ Revision: 500614
- new version

* Sun Jan 03 2010 Michael Scherer <misc@mandriva.org> 0.13.1-1mdv2010.1
+ Revision: 486010
- update to 0.13.1

* Fri Nov 27 2009 Michael Scherer <misc@mandriva.org> 0.13-1mdv2010.1
+ Revision: 470705
- upgrade to 0.13
- remove patch applied upstream
- fix license

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 0.12.5-1mdv2010.0
+ Revision: 443920
- new version 0.12.5

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 399119
- update to new version 0.12.3

  + Michael Scherer <misc@mandriva.org>
    - new version

* Wed Apr 15 2009 Michael Scherer <misc@mandriva.org> 0.12.1-2mdv2009.1
+ Revision: 367266
- fix kde4 notification, patch adapted from upstream

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2009.1
+ Revision: 317119
- update to new version 0.12.1

* Wed Dec 17 2008 Michael Scherer <misc@mandriva.org> 0.12-1mdv2009.1
+ Revision: 315379
- update to new version 0.12

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.11.4-1mdv2009.0
+ Revision: 140733
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 116206
- new version

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 109629
- New release 0.11.3

* Sun Sep 23 2007 Michael Scherer <misc@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 92338
- update to final version

* Mon Sep 10 2007 Michael Scherer <misc@mandriva.org> 0.11.2-0.pre1mdv2008.0
+ Revision: 83997
-upgrade to latest 0.11.2 prerelease, bugfixs only release


* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2007.0
+ Revision: 122646
- build system honoury bump

  + Michael Scherer <misc@mandriva.org>
    - upgrade to 0.11.1

* Tue Dec 19 2006 Michael Scherer <misc@mandriva.org> 0.11-1mdv2007.1
+ Revision: 100205
- add expat-devel to work around a strange building problem
- fix BuildRequires

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - fix build and installation

* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 0.10.1-5mdv2007.1
+ Revision: 95696
- rebuild for new python
- Requires bind-utils, for SRV record support ( used among other by google talk )
- Import gajim

* Wed Jun 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.1-4mdv2007.0
- Use X-MandrivaLinux-* category

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-3mdv2007.0
- fix menu entry
- fix buildrequires

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-2mdv2007.0
- fix buildrequires

* Tue Jun 06 2006 Jerome Soyer <saispo@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- update deps

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- New release 0.10

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-3mdk
- fix deps

* Thu Dec 29 2005 Michael Scherer <misc@mandriva.org> 0.9.1-2mdk
- fix x86_64 build

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Mon Dec 26 2005 Michael Scherer <misc@mandriva.org> 0.9-3mdk
- fix Requires

* Sat Dec 24 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9-2mdk
- Add BuildRequires: intltool

* Sat Dec 24 2005 Michael Scherer <misc@mandriva.org> 0.9-1mdk
- New release 0.9

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.8.2-1mdk
- New release 0.8.2
- remove patch, applied upstream

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.8.1-1mdk
- New release 0.8.1
- fix #18273 ( thanks michael reinsh )

* Thu Aug 25 2005 Michael Scherer <misc@mandriva.org> 0.8-2mdk
- add a menu ( thanks michael reinsh )
- fix #17898
- fix error in requires

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- from Matthieu Milan <matthieu.milan@gmail.com>
  - new package

